Skip to content
Dashboard

Unpublish a changelog

client.changelogs.unpublish(stringid, ChangelogUnpublishParams { locales, featurebaseVersion } params, RequestOptionsoptions?): PublishUnpublishSuccess { success, state }
POST/v2/changelogs/{id}/unpublish

Unpublishes a changelog, removing it from public view.

Optional Fields

  • locales - Array of locales to unpublish from. An empty array unpublishes from all locales

Behavior

  • The changelog content is preserved (reverts to draft state)
  • Any scheduled publishes for the specified locales are cancelled
  • The changelog can be re-published later

Response

Returns a success confirmation:

{
  "success": true,
  "state": "unpublished"
}

Errors

  • 400 - Invalid changelog ID format
  • 404 - Changelog not found or doesn’t belong to your organization
ParametersExpand Collapse
id: string

Changelog unique identifier

params: ChangelogUnpublishParams { locales, featurebaseVersion }
locales?: Array<"bn" | "bs" | "pt-BR" | 39 more>

Body param: An array of locales to unpublish the changelog from. An empty array unpublishes from all locales.

One of the following:
"bn"
"bs"
"pt-BR"
"bg"
"ca"
"hr"
"cs"
"da"
"nl"
"en"
"et"
"fi"
"fr"
"de"
"el"
"hi"
"hu"
"id"
"it"
"ja"
"ko"
"lv"
"lt"
"ms"
"mn"
"nb"
"pl"
"pt"
"ro"
"ru"
"sr"
"zh-CN"
"sk"
"sl"
"es"
"sw"
"sv"
"th"
"zh-TW"
"tr"
"uk"
"vi"
featurebaseVersion?: "2026-01-01.nova" | "2025-12-12.clover"

Header param: API version for this request. Defaults to your organization’s configured API version if not specified.

One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
PublishUnpublishSuccess { success, state }
success: true

Indicates the operation was successful

state?: "published" | "scheduled" | "unpublished"

The state of the changelog after the operation

One of the following:
"published"
"scheduled"
"unpublished"

Unpublish a changelog

import Featurebase from 'featurebase-node';

const client = new Featurebase({
  apiKey: process.env['FEATUREBASE_API_KEY'], // This is the default and can be omitted
});

const publishUnpublishSuccess = await client.changelogs.unpublish('507f1f77bcf86cd799439011');

console.log(publishUnpublishSuccess.success);
{
  "success": true,
  "state": "published"
}
Returns Examples
{
  "success": true,
  "state": "published"
}